Name:           perl-Queue-DBI
Version:        2.4.2
Release:        2%{?dist}
Summary:        A queueing module with an emphasis on safety, using DBI as a storage system
License:        GPLv3
URL:            http://search.cpan.org/dist/Queue-DBI/
Source0:        http://www.cpan.org/authors/id/A/AU/AUBERTG/Queue-DBI-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Dist::VersionSync)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Type)
BuildRequires:  perl(Try::Tiny)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Queue-DBI allows you to safely use a queueing system by preventing
backtracking, infinite loops and data loss. An emphasis of this distribution
is to provide an extremely reliable dequeueing mechanism without having to
use transactions.

%prep
%setup -q -n Queue-DBI-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Oct 25 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.4.2-2
- Add LICENSE and remove ignore.txt in doc macro, per review (#855666)

* Sun Oct 21 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.4.2-1
- Update to 2.4.2

* Sun Oct 07 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.4.0-1
- Update to 2.4.0

* Mon Oct 01 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.3.1-1
- Update to 2.3.1

* Sun Sep 30 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.3.0-1
- Update to 2.3.0

* Sun Sep 23 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.2.1-1
- Update to 2.2.1

* Sun Sep 09 2012 Emmanuel Seyman <emmanuel@seyman.fr> - 2.1.0-1
- Initial creation
